#
# TODO: fam support is broken (it always needs running & working fam)
#
Summary:	Apache top-like display
Summary(pl.UTF-8):	Podobny do topa program pokazujący pracę Apache'a
Name:		apachetop
Version:	0.12.6
Release:	9
Epoch:		1
License:	BSD
Group:		Networking/Utilities
Source0:	http://www.webta.org/apachetop/%{name}-%{version}.tar.gz
# Source0-md5:	604283ac4bbbddd98fc9b1f11381657e
Patch0:		%{name}-debian.patch
Patch1:		%{name}-log_location.patch
Patch2:		%{name}-maxpath.patch
URL:		http://www.webta.org/projects/apachetop/
BuildRequires:	ncurses-devel
BuildRequires:	pcre-devel
BuildRequires:	readline-devel
BuildRequires:	adns-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A curses-based top-like display for Apache information, including
requests per second, bytes per second, most popular URLs, etc.

%description -l pl.UTF-8
Oparty na curses podobny do topa program pokazujący informacje o pracy
Apache'a, włączając w to zapytania na sekundę, bajty na sekundę,
najbardziej popularne URL-e, itp.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

sed -i -e 's#fam#fambroken#g' configure*

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--with-logfile=/var/log/httpd/access_log

%{__make} \
	CXX="%{__cxx}" \
	CXXFLAGS="%{rpmcflags} %{rpmcppflags} -I/usr/include/ncurses -pthread"

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog INSTALL NEWS README TODO
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*
%changelog
* Tue Oct 18 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/apachetop.git;a=log;h=master

* Tue Oct 18 2016 Jan Rękorajski <baggins@pld-linux.org> 37e5d5a
- rebuild with readline 7.0
- release 9 (by relup.sh)

* Sat Dec 05 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 020e0f9
- ncurses rebuild
- release 8 (by relup.sh)

* Wed Dec 14 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> e0e166a
- rel 7; read default config file, really

* Tue Nov 08 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 01e5c6c
- rel 6; correct log location

* Tue Nov 08 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> c93ab0c
- rel 5; add debian patch

* Sun Apr 12 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 3ba9a34
- rel 4; fix max path overflow

* Sun Apr 12 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 302eaaa
- max path can be much longer than 128

* Mon Feb 23 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 7bf5665
- release 3

* Sat Feb 17 2007 Marcin Banasiak <marcin.banasiak@gmail.com> 81ee36f
- added gcc4 patch (kill extra qualification)
- release 2

* Sat Feb 17 2007 Marcin Banasiak <marcin.banasiak@gmail.com> e6583de
- kill extra qualification

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> bd587b6
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> df9696d
- converted to UTF-8

* Fri Nov 03 2006 sparky <sparky@pld-linux.org> d68e872
- quote %{__cc} / %{__cxx}

* Fri Jan 20 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> a5b1d4a
- up to 0.12.6; fixes CVE-2005-2660

* Sat Sep 17 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> 904d8c8
- readline 5.0

* Mon May 30 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> fa633c8
- working but ugly method for disabling fam; enable async dns

* Mon May 30 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> 3ff3752
- disable broken fam

* Mon Mar 21 2005 Sławomir Paszkiewicz <paszczus@pld-linux.org> fd91247
- use bindir, not sbindir

* Mon Mar 21 2005 Sławomir Paszkiewicz <paszczus@pld-linux.org> e8851b2
- version 0.12.5 (there is no 0.13 version!!!)
- Epoch 1 to easy change
- release 1; STBR

* Mon Nov 01 2004 Adam Gołębiowski <adamg@pld-linux.org> 2664419
- BuildRequires: fam-devel pcre-devel readline-devel

